# Generated by Django 2.1.2 on 2018-10-10 13:21

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Exif',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict)),
            ],
            options={
                'verbose_name': 'EXIF',
                'verbose_name_plural': 'EXIF',
            },
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('flickr_id', models.CharField(max_length=100)),
                ('secret', models.CharField(blank=True, max_length=100)),
                ('title', models.CharField(blank=True, max_length=300)),
                ('flickr_tags', models.CharField(blank=True, max_length=300)),
                ('date_imported', models.DateTimeField(auto_now_add=True)),
                ('date_taken', models.DateField(blank=True, null=True)),
                ('time_taken', models.TimeField(blank=True, null=True)),
                ('processed', models.BooleanField(default=False)),
                ('exif_imported', models.BooleanField(default=False)),
                ('machine_tags', models.CharField(blank=True, max_length=300)),
                ('camera', models.CharField(blank=True, max_length=300)),
                ('lens', models.CharField(blank=True, max_length=300)),
                ('aperture', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('exposure', models.CharField(blank=True, max_length=300)),
                ('iso', models.IntegerField(blank=True, null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=6, max_digits=9, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=6, max_digits=9, null=True)),
                ('url_sq', models.URLField(blank=True)),
                ('url_t', models.URLField(blank=True)),
                ('url_s', models.URLField(blank=True)),
                ('url_q', models.URLField(blank=True)),
                ('url_m', models.URLField(blank=True)),
                ('url_n', models.URLField(blank=True)),
                ('url_z', models.URLField(blank=True)),
                ('url_c', models.URLField(blank=True)),
                ('url_l', models.URLField(blank=True)),
                ('url_o', models.URLField(blank=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=100)),
                ('mid', models.CharField(max_length=100)),
                ('score', models.FloatField()),
                ('synced', models.BooleanField(default=False)),
                ('photo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tags', to='shutter.Photo')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tags', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='exif',
            name='photo',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='exif', to='shutter.Photo'),
        ),
    ]
